#include "void_context.h"
#include <saas/indexerproxy/configs/config.h>
#include <saas/indexerproxy/dispatching/dispatch_queue.h>

bool TVoidReplier::DoSend(const TProxyConfig& /*config*/, TDispatchServiceSelector& /*selector*/) {
    SetBackendCounter(0);
    ForceMessageStatus(NRTYServer::TReply::dsDOCUMENT_DISCARDED, "sent to void");
    return false;
}

TVoidReplier::TVoidReplier(const TString& serviceName, ISenderTask& task, const NRTYServer::TMessage& message, const TDispatcherConfig* config, TDeferredMessagesQueue& storage)
    : TReplier(serviceName, task, message, config, storage)
{

}

